> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Close



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/submittals/{submittalId}/close
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/submittals/{submittalId}/close:
    post:
      tags:
        - Submittals
      summary: Close
      operationId: SubmittalsController_close_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: submittalId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedVersion:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                requestKey:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                notes:
                  maxItems: 200
                  type: array
                  items:
                    type: object
                    properties:
                      itemId:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                      note:
                        anyOf:
                          - type: string
                            maxLength: 4000
                          - type: 'null'
                      fileIds:
                        maxItems: 10
                        type: array
                        items:
                          type: string
                          pattern: ^[1-9]\d{0,18}$
                    required:
                      - itemId
                    additionalProperties: false
              required:
                - expectedVersion
                - requestKey
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.